#
# kihon2.rb
#   $Id: kihon2.rb,v 1.2 2000/11/18 19:03:32 keiko Exp $
#

require "narray"
require "dcl"

include DCL
include Math

NMAX = 40
IMAX = 4
DT = 4.0*PI/NMAX

x = NArray.sfloat(NMAX+1)
y = NArray.sfloat(NMAX+1, IMAX)

#-- data ----
x = x.indgen * 1.0/NMAX
for n in 0..NMAX
  for i in 0..IMAX-1
    y[n,i] = 0.2*sin(n*DT) + 0.8 - 0.2*i
  end
end

#-- graph ----
iws = (ARGV[0] || (puts ' WORKSTATION ID (I)  ? ;'; sgpwsn; gets)).to_i
sgopn iws

#-- line index : frame 1 --
sgfrm
slpvpr(1) 

sgplv(NMAX+1, x, y[true,0])

for i in 1..IMAX-1
  sgspli(2*(i+1))
  sgplv(NMAX+1, x, y[true,i])
end

sgspli(1)

#-- line type : frame 2 --
sgfrm
slpvpr(1)

sgplv(NMAX+1, x, y[true,0])

for i in 1..IMAX-1
  sgsplt(i+1)
  sgplv(NMAX+1, x, y[true,i])
end

sgcls

