#
# test07.rb
#
# $Id: test07.rb,v 1.1 2000/11/22 14:36:00 keiko Exp $
#

require "narray"
require "dcl"

include DCL
include Math


NP = 14

#-- data ---
ctr = ['cyl','mer','mwd','hmr','ek6','ktd','con',
       'coa','coc','bon','otg','pst','azm','aza']

#-- graph ---
iws = (ARGV[0] || (puts ' WORKSTATION ID (I)  ? ;'; sgpwsn; gets)).to_i
gropn iws

for i in 0..NP-1
  grfrm
  grswnd(123.0, 147.0, 30.0, 46.0)
  grsvpt(0.1, 0.9, 0.1, 0.9)
  grstrn(isgtrc(ctr[i]))
  umpfit
  grstrf

  sglset('LCLIP', true)
  slpwwr(1)
  slpvpr(1)
  cttl = sgtrnl(isgtrc(ctr[i]))
  sgtxzr(0.5, 0.95, cttl, 0.03, 0, 0, 3)

  umpmap('coast_japan')
  umpglb
end

grcls

